Loading...
Searching...
No Matches
bsoncxx::builder::array Class Reference

`#include <bsoncxx/v_noabi/bsoncxx/builder/list.hpp>`

## Description

A JSON-like builder for creating arrays.

## Public Member Functions

| array ()
| Creates an empty array.
| array (initializer_list_t init)
| Creates a BSON array.
Public Member Functions inherited from bsoncxx::v_noabi::builder::list
| list ()
| Creates an empty document.
| list (initializer_list_t init)
| Creates a BSON document, if possible. Otherwise, it will create a BSON array. A document is possible if:
template<typename T>
| list (T value)
| Creates a bsoncxx::v_noabi::builder::list from a value of type T. T must be a bsoncxx::v_noabi::types::bson_value::value or implicitly convertible to a bsoncxx::v_noabi::types::bson_value::value.
| operator types::bson_value::view ()
| Provides a view of the underlying BSON value.
types::bson_value::view | view ()
| Provides a view of the underlying BSON value.

## Constructor & Destructor Documentation

## array() [1/2]

bsoncxx::v_noabi::builder::array::array | ( |  | ) |

inline

Creates an empty array.

## array() [2/2]

bsoncxx::v_noabi::builder::array::array | ( | initializer_list_t | init | ) |

inline

Creates a BSON array.

Parameters

  init | the initializer list used to construct the BSON array

See also
  - bsoncxx::v_noabi::builder::list
  - bsoncxx::v_noabi::builder::document

The documentation for this class was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/builder/list.hpp